﻿using Infragistics.Documents.RichText;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;

namespace HTMLAdapterRichTextCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private CultureInfo CurrentCulture;
        public MainWindow()
        {
            InitializeComponent();
            CurrentCulture = Thread.CurrentThread.CurrentCulture;
            htmlDocAdapter.Document.PropertyChanged += Document_PropertyChanged;
            RTE.Document.ContentChanged += Document_ContentChanged;
        }

        private void Document_ContentChanged(object sender, DocumentContentChangedEventArgs e)
        {
            Thread.CurrentThread.CurrentCulture = CurrentCulture;
            Thread.CurrentThread.CurrentUICulture = CurrentCulture;
        }

        private void Document_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            if (e.PropertyName.Contains(nameof(htmlDocAdapter.Document.CurrentVersion)))
            {
                System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("de-de");
                cultureInfo.NumberFormat.NumberDecimalSeparator = ".";

                Thread.CurrentThread.CurrentCulture = cultureInfo;
                Thread.CurrentThread.CurrentUICulture = cultureInfo;
            }
        }
    }
}
